Author Topic: VirtueMart 1.1.1 Patch Package Released  (Read 88618 times)

korb

  • Quality&Testing Team
  • Full Member
  • *
  • Posts: 685
  • VM 2.0 in heavy testing
    • Buy my work
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #15 on: June 25, 2008, 17:54:10 pm »
Maybe you had a hacked VM 1.1 installation. The patch applies only to non-hacked version or with other words original release.

mauri

  • Quality&Testing Team
  • Jr. Member
  • *
  • Posts: 297
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #16 on: June 25, 2008, 17:58:46 pm »
OK. I will try to clean 1.1.0 installation.
Funny thing, I try to unpack with WinZip program, but it says invalid archive??
I upload the patch 5 times, but can´t unpack it.
VirtueMart,(Joomla-phpShop, mambo-phpShop) since 2004-03-11

mauri

  • Quality&Testing Team
  • Jr. Member
  • *
  • Posts: 297
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #17 on: June 25, 2008, 18:13:44 pm »
Now I have made VM 1.1.0 clean install, but same thing.
Check Now - Connection Failed
Upload a Patch Package - Unable to decompress data
Code: [Select]
Warning: gzinflate() [function.gzinflate]: data error in /xxx/xxx/xxx/xxxx/libraries/joomla/filesystem/archive/gzip.php on line 78

Error: Failed to extract the Update Package Contents to /xxx/xxxx/xxxx/xxxx/administrator/cache/Patch_VirtueMart_1.1.0_1.1.1.j15
VirtueMart,(Joomla-phpShop, mambo-phpShop) since 2004-03-11

mauri

  • Quality&Testing Team
  • Jr. Member
  • *
  • Posts: 297
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #18 on: June 25, 2008, 18:19:51 pm »
korb , can you attach yours  1.1.0_to_1.1.1 patch.
I will see if it works
VirtueMart,(Joomla-phpShop, mambo-phpShop) since 2004-03-11

korb

  • Quality&Testing Team
  • Full Member
  • *
  • Posts: 685
  • VM 2.0 in heavy testing
    • Buy my work
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #19 on: June 25, 2008, 18:36:48 pm »
I have the same patch, you think I have another?

aravot

  • Peter
  • Quality&Testing Team
  • Sr. Member
  • *
  • Posts: 2874
    • VirtueMart Extensions
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #20 on: June 25, 2008, 18:48:53 pm »
For php4 you need to apply another patch before you can use 1.1.1 patch.

mauri

  • Quality&Testing Team
  • Jr. Member
  • *
  • Posts: 297
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #21 on: June 25, 2008, 19:02:06 pm »
Sorry aravot but it don´t help.

korb ,
I only will try, if the upload prosess (from VM download site) corrupts the patch.
I can´t unpack that patch even WinZip or WinSCP.
VirtueMart,(Joomla-phpShop, mambo-phpShop) since 2004-03-11

mauri

  • Quality&Testing Team
  • Jr. Member
  • *
  • Posts: 297
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #22 on: June 25, 2008, 22:10:23 pm »
I get the update to hard way  :D
I convert ( with PowerArchiver) the patch tar.gz to zip and convert the zip file back to tar.gz.
Now the VM updater "Upload a Patch Package" updates, with the converted patch.

Check now button don´t work
Error: missing ) in parenthetical ...:

Find in server log:
Code: [Select]

PHP Warning:  curl_exec() has been disabled for security reasons in xxx/administrator/components/com_virtuemart/classes/connectionTools.class.php on line 126

I guess Check now button don´t work, because the host have disable PHP function curl_exec()
VirtueMart,(Joomla-phpShop, mambo-phpShop) since 2004-03-11

Joss

  • Beginner
  • *
  • Posts: 30
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #23 on: June 25, 2008, 23:33:54 pm »
That went smoothly, once I managed to get my permissions in order!

Basically it seems to be easier to have all of the virtuemart directory writeable, if you have ftp problems like I do, or, unzip the package and upload it manually (which is what I did)

However, then you miss your nice big warnings about overwriting files!

Big question: when is 1.1.2 coming out?

My main client has just gone up the wall when he found out the the issue about Featured Products on the shop home page has not been fixed!

mrfoameruk

  • Beginner
  • *
  • Posts: 38
  • UKBeading.co.uk
    • UKBeading
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #24 on: June 26, 2008, 01:01:25 am »
my question is when is it coming and what will it do.  missing sef and meta tags utilities.

mauri

  • Quality&Testing Team
  • Jr. Member
  • *
  • Posts: 297
Re: VirtueMart 1.1.1 Patch Package Released(Bug fixed)
« Reply #25 on: June 26, 2008, 07:16:30 am »
OK, now update works, both "Check now button" and  "Upload a Patch Package".
There is bug in connectionTools.class.php.
If cURL is not available it switches to fopen/fsockopen ,but $urlParts['path'] is only "/index2.php". Missing end of url.
I add this to bugtrcker, hope it fixed in 1.1.2

EDIT: This bug is fixed to VM1.1.2. Thanks to gregdev.

Bug [# 2187] https://dev.virtuemart.net/cb/issue/2187?navigation=true
Bug [# 2188] https://dev.virtuemart.net/cb/issue/2188?navigation=true

VirtueMart,(Joomla-phpShop, mambo-phpShop) since 2004-03-11

gorans

  • Guest
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #26 on: June 26, 2008, 12:49:00 pm »
After aplying the patch manually, any click on "check for updates" results in corrupted page. Only the Virtuemart menu is showed with everything else empty (no joomla menu...) and menu is in some default font (Times or something similar). Have to click on any other menu item to restore the normal page.

Virtuemart 1.1.1, Joomla 1.0.15, PHP 4.4.7, mySQL 3.23.51.

Majino

  • Beginner
  • *
  • Posts: 20
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #27 on: June 26, 2008, 12:49:44 pm »
hi guys... my update don't work at all! when i press on download upgrade, vm tells me that getupdatepackage is not a valid virtuemart function... what should i do? i tried also with upload a pack package, but the update didn't work either... thanks for any answer!

Joomla! 1.5.3
Vm 1.1
PHP 4.4.7

comicdom

  • Beginner
  • *
  • Posts: 18
    • COMICDOM
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #28 on: June 27, 2008, 09:53:10 am »
I also had errors, as well, with the upgrade system.  At the moment, my "check for updates" function continues to give me errors, after I had finally installed.

This is the error I currently receive:


Quote
* JFile::read: Unable to open file: '/var/www/valhalla/test.valhallacomics.com/administrator/cache/Patch-VirtueMart-1.1.0-1.1.1.tar.gz' * Unable to read archive

along with...

Quote
Warning: fopen(/var/www/valhalla/test.valhallacomics.com/administrator/cache/Patch-VirtueMart-1.1.0-1.1.1.tar.gz) [function.fopen]: failed to open stream: No such file or directory in /var/www/valhalla/test.valhallacomics.com/libraries/joomla/filesystem/file.php on line 240
Error: Failed to extract the Update Package Contents to /var/www/valhalla/test.valhallacomics.com/administrator/cache/Patch-VirtueMart-1.1.0-1.1.1

I was getting this error prior to installation, as well, so I manually created the directory it was trying to write to and uploaded the files within the tar.gz archive.  After doing that, I went through the upgrade process and it worked fine (permissions and all).  After having done that, I deleted the patch files from the cache directory and I get the errors above.

Any idea?  I'm using Joomla! 1.5.3, VM 1.1.0 (now .1) and PHP 5
--
Kevin Bush
COMICDOM
Using VirtueMart 1.1.1 Stable on Joomla! 1.5.4 (MySQL 5.0.32 + PHP  5.2.0-8+etch11)

Erjati1

  • Beginner
  • *
  • Posts: 1
Re: VirtueMart 1.1.1 Patch Package Released
« Reply #29 on: June 29, 2008, 08:44:47 am »
Please next time you release a patch include the instructions in the compressed folder with the update as readmefirst file. I figured to do an update by ftp but got some garbage on the screen within the VM component. Then I found the instructions in the forum, did the update that way, but got even more garbage on the screen. So I uninstalled the main component and reinstalled it. It promptly offered to do the patch, which worked fine that time and now all seems well. Fortunately, I had only just begun to configure the shop and had nothing in it.

VM is looking great these days. Keep up the good work. When is the wishlist coming?